Flags API reference

Flags API · Configs

get/v1/workspaces/{workspace_id}/configs/{config_id}Auth

Get a config

Path parameters

config_id*string · uuid

Id of the config.

workspace_id*string · uuid

Id of the workspace.

Response · 200 The config.

id*string · uuid

The config's id.

workspace_id*string · uuid

The workspace that owns the config.

project_id*string · uuid

The project the config belongs to.

key*string

Stable key, unique in the project.

Example: "main"

name*string

Display name.

Example: "Main"

description*string

Free-text description (may be empty).

Example: ""

ordinal*integer

Sort position in the project (ascending).

Example: 0

created_at*string · date-time

When the config was created.

updated_at*string · date-time

When the config last changed.

Example

Request

GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/configs/{config_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "project_id": "00000000-0000-0000-0000-000000000000",
  "key": "main",
  "name": "Main",
  "description": "",
  "ordinal": 0,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}